Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("c293d208-59ac-4d3c-b815-47d68355628d")]
   /// <summary>
   /// Interface to represent an algorithm.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("eefee3ee-96ea-41fe-af01-ef96961c99b4")]
   /// <summary>
   /// An interface which represents an analysis operator.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ICharacteristicCalculator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7125fc8c-2323-423c-8b08-76f80e4e119e")]
   public interface ICharacteristicCalculator : IParameterizedNamedItem {
     IProblem Problem { get; set; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("0eb07054-a63b-4f31-9a2a-6dae28204d82")]
   /// <summary>
   /// An interface which represents an operator for crossing solutions.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleMatrixModifier.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("75135b74-abed-4426-aacd-dd2eb4ea1188")]
   public interface IDiscreteDoubleMatrixModifier : IOperator {
     ILookupParameter<DoubleMatrix> ValueParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("32f2e082-9d02-4006-85d5-d2006cb47def")]
   public interface IDiscreteDoubleValueModifier : IOperator {
     ILookupParameter<DoubleValue> ValueParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("bfd1c015-ab11-483c-a5ce-fddac47faea6")]
   /// <summary>
   /// An interface which represents an evaluation operator for optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IExhaustiveMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("0e75b461-71a9-4070-9bbd-6ca20fadf773")]
   public interface IExhaustiveMoveGenerator : IMoveGenerator {
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IHeuristicOptimizationProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("51d66e7a-e4bd-429a-b6e5-1cfe9ce4364f")]
   /// <summary>
   /// Interface to represent a heuristic optimization problem.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IImprovementOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("49c24af5-5d38-4dd3-90c6-96bf61da596e")]
   /// <summary>
   /// An interface which represents an operator for improvement.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IIterationBasedOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7632e886-d410-4b49-98a7-af6799afa15d")]
   public interface IIterationBasedOperator : IOperator {
     ILookupParameter<IntValue> IterationsParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementAlgorithmOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("a45976c5-caad-4eb6-8150-f168a1ff89f5")]
   public interface ILocalImprovementAlgorithmOperator : ILocalImprovementOperator {
     Type ProblemType { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ILocalImprovementOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2af9c952-58d0-4062-9d9b-e839e4fd244c")]
   public interface ILocalImprovementOperator : IOperator {
     IValueLookupParameter<IntValue> MaximumIterationsParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("1bc59173-67b9-45dd-a4ad-a1bd2696659f")]
   /// <summary>
   /// An interface which represents an operator for manipulating solutions.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("5388ce48-00ec-4640-9925-97bf061ad595")]
   public interface IMigrator : IOperator { }
 }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("b72b4f30-8cdc-4bc1-ad1b-41f160ff103e")]
   /// <summary>
   /// An interface which represents an operator for generating moves.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8c220537-2993-4666-8b49-a4c87fd7f6a3")]
   public interface IMoveMaker : IOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("65af3d33-528d-4554-a430-bd2daf42860a")]
   /// <summary>
   /// The basic interface that marks all move operators. Derived interfaces
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
+
 namespace HeuristicLab.Optimization {
+  [StorableType("7f691603-fb68-4ea0-8085-d7f01df378e6")]
   /// <summary>
   /// An interface which represents a multi analysis operator.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("86e85d2f-7cfd-482b-8473-da3bef38f017")]
   public interface IMultiMoveGenerator : IMoveGenerator {
     IValueLookupParameter<IntValue> SampleSizeParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("740caa52-1f3c-4bfe-a2f9-f59e4c547992")]
   public interface IMultiNeighborhoodShakingOperator : IOperator {
     IValueLookupParameter<IntValue> CurrentNeighborhoodIndexParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("b904a6dc-3c57-4428-9ca6-d4dc8cf6f717")]
   /// <summary>
   /// An interface which represents an evaluation operator for multi-objective optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("03be07f9-f827-4292-a06c-c25621836a5e")]
   /// <summary>
   /// An interface to represent a multi-objective optimization problem.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 16565)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9928146a-f8eb-490c-a468-a66435185e27")]
   /// <summary>
   /// This is only a marker interface to prevent operators that expect to work with multiple quality values
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("df0370eb-6483-4bf9-a18f-dae937c32f4f")]
   /// <summary>
   /// An interface which represents a selection operator for selecting solutions of multi-objective optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("c5a27124-f02a-4695-a90c-d8162ee58642")]
   /// <summary>
   /// Interface to represent optimizers such as algorithms, batch runs, or experiments.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("59e9ace8-9cd7-4722-b00f-6ad288350c9f")]
   /// <summary>
   /// Interface to represent an operator that generates a particle. 
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("c3880aca-187c-4a63-adf4-a6f46bd6e5e0")]
   /// <summary>
   /// Interface to represent an operator that updates a particle 
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("806e0460-65de-41ec-9131-cf16300f3f36")]
   /// <summary>
   /// An interface which represents an operator for path relinking.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e16ad337-8c18-4c29-a893-e83f671e804c")]
   /// <summary>
   /// Interface to represent an optimization problem.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d8322962-ab8a-4ae0-b66f-48247083c153")]
   public interface IQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("afe4e404-1c0a-45ea-9856-f5dbec32be7e")]
   /// <summary>
   /// An interface which represents a reduction opertor.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2aaf9cd7-c5dc-48d0-b59d-5801e152b19e")]
   /// <summary>
   /// Interface to mark operators that can be used as replacers.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("bd021976-74c7-4e40-af7e-e10e316af64c")]
   /// <summary>
   /// Represents the parameters and results of an algorithm run.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,12 +20,11 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
-  public interface IRunCollectionModifier : IItem {    
+  [StorableType("55f41cc9-c77f-462b-8745-229572436aea")]
+  public interface IRunCollectionModifier : IItem {
     void Modify(List<IRun> runs);
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("af96bbae-d3ef-4b4b-96a7-248c400ad2b8")]
   /// <summary>
   /// An interface which represents a selection operator.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f1f8ad5b-0b8c-4f75-81ea-f45133e8bd6b")]
   /// <summary>
   /// An interface which represents an operator for manipulating solutions, given a strategy parameter.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("84f50ceb-5d6b-492e-a50b-b52ca5a34721")]
   public interface ISimilarityBasedOperator : IOperator {
     IConstrainedValueParameter<ISolutionSimilarityCalculator> SimilarityCalculatorParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("90055ffa-8821-41af-9dbb-3a56fa251f23")]
   public interface ISingleMoveGenerator : IMoveGenerator, ISingleObjectiveOperator {
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7c3cd846-3768-4ebe-816a-2925a92234de")]
   /// <summary>
   /// An interface which represents an evaluation operator for single-objective optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("66df61d0-dd00-4f9a-b488-04ad328591d4")]
   /// <summary>
   /// An interface to represent a single-objective optimization problem.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("0b9d5c35-7879-46e0-9fd4-36dd104ccde7")]
   /// <summary>
   /// An interface which represents an operator for improvement of a single objective solution.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7b7380ef-b2ae-465b-8262-86e0456c0c51")]
   public interface ISingleObjectiveMoveEvaluator : IOperator, ISingleObjectiveOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs	(revision 16565)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("365f0117-1f29-4bc2-8a76-4ee5676306a4")]
   /// <summary>
   /// This is only a marker interface to prevent operators that expect to work with a single quality value
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("24f05bfd-6a59-4582-ab83-69bea7e8c46f")]
   /// <summary>
   /// An interface which represents an operator for path relinking between single objective solutions.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("6d0a0999-97c2-4716-a2d5-6a28f305cbdd")]
   /// <summary>
   /// An interface which represents a replacement operator for replacing solutions of single-objective optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("242d4dc6-e31b-4058-afea-f3d95b44a94a")]
   /// <summary>
   /// An interface which represents a selection operator for selecting solutions of single-objective optimization problems.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -30,4 +31,5 @@
   /// </summary>
   [Obsolete("use HeuristicLab.Optimization.ISolutionSimilarityCalculator instead")]
+  [StorableType("fcb57383-313f-4f7f-8c36-1043718c4eb8")]
   public interface ISingleObjectiveSolutionSimilarityCalculator : ISolutionSimilarityCalculator, ISingleObjectiveOperator {
 
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f9bb063d-383f-4d29-936e-ae4fa9ebc10f")]
   /// <summary>
   /// An interface which represents an operator for creating new solutions.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("03699efd-c957-4109-ad18-f98f6748bd91")]
   /// <summary>
   /// An interface which represents an operator for similarity calculation.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("5c2b3d60-4e03-4560-89cd-7ff64e9ee947")]
   /// <summary>
   /// An interface which represents a stochastic operator.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("a3bd30cc-c3a6-485c-b7d2-c38c284d48df")]
   public interface IStrategyParameterCreator : IOperator {
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9316a808-6d41-4ec4-834c-bd5e4e3e893f")]
   public interface IStrategyParameterCrossover : IOperator {
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e4540007-1ed4-4e0a-9292-2a1ffda9d0ac")]
   public interface IStrategyParameterManipulator : IOperator {
   }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8efcf623-6ea3-4010-a7b2-d3788b8648d1")]
   public interface ISubScopesQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("cb751cac-1ba7-42c3-87a3-cb1bf0d13add")]
   public interface ISwarmUpdater : IOperator {
     IScopeTreeLookupParameter<DoubleValue> QualityParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("39ea082e-0295-47c1-b07d-d37d87f53677")]
   public interface ITabuChecker : IOperator {
     ILookupParameter<BoolValue> MoveTabuParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d485cf6d-4062-46a1-9387-b75793ad9296")]
   public interface ITabuMaker : IOperator {
     ILookupParameter<DoubleValue> MoveQualityParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("79f22e3f-8a21-498a-9799-5e662af709fb")]
   public interface ITerminationBasedOperator : IOperator {
     ILookupParameter<BoolValue> TerminateParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs	(revision 16565)
@@ -1,5 +1,6 @@
-﻿#region License Information
+﻿using HEAL.Attic;
+#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("1fa5c25c-b71f-41bd-bae3-89bde0268f98")]
   /// <summary>
   /// An interface which represents an operator for checking a termination criterion.
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("03f42588-038a-4898-9d70-a6bf9d5daeba")]
   public interface ITopologyInitializer : IOperator {
     IScopeTreeLookupParameter<IntArray> NeighborsParameter { get; }
Index: trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("911570e3-4dd5-47d1-b2e2-53d15ac1fe97")]
   public interface ITopologyUpdater : IOperator {
     IScopeTreeLookupParameter<IntArray> NeighborsParameter { get; }
